
# Screenshot Timeline Player

Screenshot Timeline Player is a web app that lets you view and play back a sequence of screenshots (or other images) in chronological order, like a timeline slideshow.

![Screenshot Timeline Player UI](screenshot.png)

## Features

- **Folder Selection:** Load a folder of images (screenshots) at once.
- **Timeline Playback:** Play images in order, like a video.
- **Playback Controls:** Play, pause, go to first/last, next/previous image.
- **Speed Control:** Adjust playback speed (0.5x to 5x).
- **Thumbnails:** See and jump to any image using the thumbnail strip.
- **Keyboard Shortcuts:**
  - `Space`: Play/Pause
  - `←` / `→`: Previous/Next image

## Usage

1. **Open the app** in your browser (open `src/index.html`).
2. Click **Select Folder** and choose a folder containing your screenshots or images.
3. Use the playback controls or keyboard shortcuts to navigate through your images.

## Supported Image Formats

- PNG, JPG, JPEG, GIF, BMP, WEBP

## Requirements

- A modern web browser (Chrome, Edge, Firefox, Safari).
- No installation or backend required.

## How it Works

- The app uses the browser's [File System Access API](https://developer.mozilla.org/en-US/docs/Web/API/File_System_Access_API) to load images from your local folder.
- Images are sorted by their last modified date to create a timeline.

## License

This project is provided as-is for personal use.

---

Made with [BeerCSS](https://www.beercss.com/) 🍺